  /*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
        document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },



    // deviceready Event Handler
    //
    // Bind any cordova events here. Common events are:
    // 'pause', 'resume', etc.
    onDeviceReady: function() {
        //this.receivedEvent('deviceready');
        // document.getElementById("openBrowser").addEventListener("click", openBrowser);
        openBrowser()
        

    },

    // Update DOM on a Received Event
    receivedEvent: function(id) {
        // var parentElement = document.getElementById(id);
        // var listeningElement = parentElement.querySelector('.listening');
        // var receivedElement = parentElement.querySelector('.received');

        // listeningElement.setAttribute('style', 'display:none;');
        // receivedElement.setAttribute('style', 'display:block;');

        // console.log('Received Event: ' + id);

        //var ref = cordova.InAppBrowser.open('http://apache.org', '_blank', 'location=yes');
    }
};

function openBrowser() {

   var url = 'https://fishandmeat.in';
   var target = '_blank';
   var options = "location=no,hidden=yes,zoom=no";
   var ref = cordova.InAppBrowser.open(url, target, options);
   ref.addEventListener('loadstart', loadstartCallback);
   ref.addEventListener('loadstop', loadstopCallback);
   ref.addEventListener('loaderror', loaderrorCallback);
   ref.addEventListener('exit', exitCallback);

   //var options_spinner = { dimBackground: true };
   //SpinnerPlugin.activityStart(undefined, options_spinner);



   function loadstartCallback(event) {
      
      if (event.url == "data:text/html,chromewebdata"){
            window.location.href = "offline.html"
            alert("Internet connectivity is required for this app. (loadstart)");  
      }
      
   }


   function loadstopCallback(event) {
      showSite();
   }

   function loaderrorCallback(error) {

      
      console.log('Loading error: ' + error.message)
      window.location = "offline.html";
      //alert('Sorry Bro!');

   }

   function exitCallback() {
    //browser close event
    ref.close();
      
   }

    function showSite() {
      ref.show();
    }



}


app.initialize();